## com.vividsolutions.jts.index.sweepline
Class SweepLineInterval

    java.lang.Object
      com.vividsolutions.jts.index.sweepline.SweepLineInterval

public class SweepLineInterval
extends java.lang.Object

Version:
  1.7

Constructor Summary
`SweepLineInterval(double min, double max)`
`SweepLineInterval(double min, double max, java.lang.Object item)`

Method Summary
`java.lang.Object` `getItem()`
`double` `getMax()`
`double` `getMin()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SweepLineInterval

    public SweepLineInterval(double min,
                             double max)

### SweepLineInterval

    public SweepLineInterval(double min,
                             double max,
                             java.lang.Object item)

Method Detail

### getMin

    public double getMin()

### getMax

    public double getMax()

### getItem

    public java.lang.Object getItem()